pandoc-1.15.2.1: Conversion between markup formats

Copyright | Copyright (C) 2011-2015 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell98

Text.Pandoc.Readers.Native

Description

Conversion of a string representation of a pandoc type (`Pandoc`, `[Block]`, `Block`, `[Inline]`, or `Inline`) to a `Pandoc` document.

Synopsis

- readNative :: String -> Either PandocError Pandoc

# Documentation

readNative

Arguments

:: String | String to parse (assuming `'\n'` line endings)
-> Either PandocError Pandoc |

Read native formatted text and return a Pandoc document. The input may be a full pandoc document, a block list, a block, an inline list, or an inline. Thus, for example,

    Str "hi"

will be treated as if it were

    Pandoc nullMeta [Plain [Str "hi"]]